Bug 462555 - Lost permissions for sound (ALSA) devices
Lost permissions for sound (ALSA) devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 23:12 EDT by Pete Zaitcev
Modified: 2008-10-02 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 02:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2008-09-16 23:12:15 EDT
Description of problem:

I ran "yum update", now /dev/snd/* is owned by root.

Version-Release number of selected component (if applicable):

pam-1.0.2-1.fc10.x86_64
alsa-utils-1.0.18-1.rc3.fc10.x86_64
ConsoleKit-0.3.0-1.fc10.x86_64
udev-127-1.fc10.x86_64

How reproducible:

Happens at reboot, synchronous.

Steps to Reproduce:
1. n/a
  
Actual results:

Sounds fails
crw-rw---- 1 root root 116, 5 2008-09-16 12:35 /dev/snd/controlC0

Expected results:

Sounds works

Additional info:

I thought ConsoleKit was supposed to do this, but according to
/var/log/yum.log, it was not updated. Only alsa-utils and pam
were updated. The alsa-utils' changelog says that udev rules
were changed. Perhaps that's the problem.
Comment 1 Hans de Goede 2008-09-24 04:55:43 EDT
Pete,

I was seeing this too, and I managed to fix it by updating to all the latest rawhide and then do an selinux relabel (touch /.autorelabel && reboot)

Can you check if this fixes it for you too, then this can be closed.
Comment 2 Jaroslav Kysela 2008-10-01 02:48:14 EDT
ConsoleKit was broken. It should be fixed now.
Comment 3 Pete Zaitcev 2008-10-02 12:09:09 EDT
Confirmed fixed, with ConsoleKit-0.3.0-2.fc10:

[zaitcev@niphredil ~]$ ls -l /dev/snd/controlC0 
crw-rw----+ 1 root root 116, 5 2008-10-02 10:00 /dev/snd/controlC0
[zaitcev@niphredil ~]$ getfacl /dev/snd/controlC0
getfacl: Removing leading '/' from absolute path names
# file: dev/snd/controlC0
# owner: root
# group: root
user::rw-
user:zaitcev:rw-
group::rw-
mask::rw-
other::---

[zaitcev@niphredil ~]$ 

Thanks!

Note You need to log in before you can comment on or make changes to this bug.